<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:saxon="http://saxon.sf.net/">

    <xsl:param name="doc1File"/>
    <xsl:param name="doc2File"/>
    
    <xsl:variable name="doc1" select="document($doc1File)"/>
    <xsl:variable name="doc2" select="document($doc2File)"/>

    <xsl:template match="/">
        <xsl:message select="'Starting ...'" />
        <xsl:message select="'Starting comparing ...', $doc1File, ' against ' , $doc2File" />
        <xsl:variable name="equal"  select="saxon:deep-equal($doc1, $doc2, (), '?')" />        
        <xsl:message select="'Finished comparing. Files are', $equal" terminate="{if ($equal) then 'no' else 'yes'}"/>        
    </xsl:template>

</xsl:stylesheet>